using UnityEngine;
using System.Collections;

public class BulletController : MonoBehaviour {
	public float Speed = 100.0f;	// speed of bullet
	public float MinDamage = 5.0f;
	public float MaxDamage = 10.0f;
	public float Duration = 1.0f; 	// life time
	public Transform Explosion;
	public int	Score = 0;
	
	// Use this for initialization
	void Awake () {
		rigidbody.AddForce( transform.forward * Speed );
	}
	
	// Update is called once per frame
	void Update () {
		Duration -= Time.deltaTime;

		if( Duration < 0.0f )
			Destroy( gameObject );
	}
	
	void OnCollisionEnter (Collision col)
	{
		// Ask collider to inflict damage
		col.collider.SendMessage( "InflictDamage", 
		                         Random.Range( MinDamage, MaxDamage ), 
		                         SendMessageOptions.DontRequireReceiver );
		
		// update score 
		if( Score > 0 && col.gameObject.tag != "Player" )
		{
			GameObject obj = GameObject.Find( "GameController" );
			obj.SendMessage( "UpdateScore", Score );
		}

		// Explode!
		Instantiate( Explosion, transform.position, transform.rotation );
		Destroy( gameObject );

	}
}
